#include <stdio.h>
#include <string>
#include <iostream>
#include "AlignSpectrometer.h"
#include "TruthTrack.h"
#include "TApplication.h"
#include "TFile.h"

int main(int argc, char **argv) {
TApplication theApp("App", &argc, argv);

 
 AlignSpectrometer s;
 // Loop over alignment iterations
 for(int iter=0; iter<s.GetNumberOfIterations(); iter++) {

   std::cout << " Start iteration: " << iter << std::endl;
   s.Reset(iter);

   for(int i=0; i< s.GetNumberOfEvents(); i++) {
     TruthTrack t=s.SimulateEvent();
     float chi2 = s.ReconstructEvent();
     s.PrintEvent(i);
   }
   s.Align();
 }
return 0;
}


