#ifndef TruthTrack_h
#define TruthTrack_h
#include <vector>

//Generated track
class TruthTrack{
 public:
  TruthTrack();
  TruthTrack(float z, float dz, float y, float dy, float pi ) {
   par[0]=z;
   par[1]=dz;
   par[2]=y;
   par[3]=dy;
   par[4]=pi;
  };
  float* GetPar() { return par;};
  std::vector<int> GetHits(){return hits;};
  void        SetPar(float* p) {
   par[0]=p[0];
   par[1]=p[1];
   par[2]=p[2];
   par[3]=p[3];
   par[4]=p[4];
};
  void        AddHit(int index) {hits.push_back(index);};

 private:
  float par[5]; 
  std::vector<int> hits;
};
#endif




